/**Begin D:\work-kingdee\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\RSA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_EXELOG' AND KSQL_COL_NAME ='FRISKID')
 ALTER TABLE T_RSA_EXELOG ADD (FRISKID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_EXELOG' AND KSQL_COL_NAME ='FTYPE')
 ALTER TABLE T_RSA_EXELOG ADD (FTYPE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FRISK')
 ALTER TABLE T_RSA_RISKEVENT ADD (FRISK BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FCLOSEEXPLAIN')
 ALTER TABLE T_RSA_RISKEVENT ADD (FCLOSEEXPLAIN NVARCHAR(300) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FRISKWORK')
 ALTER TABLE T_RSA_RISKEVENT ADD (FRISKWORK NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FUPPER')
 ALTER TABLE T_RSA_RISKEVENT ADD (FUPPER CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FTIMETYPECOMBO')
 ALTER TABLE T_RSA_RISKEVENT ADD (FTIMETYPECOMBO NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FDUTYUSER')
 ALTER TABLE T_RSA_RISKEVENT ADD (FDUTYUSER BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FANALYSISPERIOD')
 ALTER TABLE T_RSA_RISKEVENT ADD (FANALYSISPERIOD BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FACCOUNTPERIOD')
 ALTER TABLE T_RSA_RISKEVENT ADD (FACCOUNTPERIOD BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RSA_RISKEVENT' AND KSQL_COL_NAME ='FRISKGROUP')
 ALTER TABLE T_RSA_RISKEVENT ADD (FRISKGROUP BIGINT DEFAULT 0 NOT NULL );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKWORK')
 CREATE TABLE T_RSA_RISKWORK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRISKGROUPID BIGINT DEFAULT 0 NOT NULL,
FRISKLEVELID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FOCCURRENCETIME DATETIME,
FRESPONSIBLEDEP BIGINT DEFAULT 0 NOT NULL,
FRESPONSIBLE BIGINT DEFAULT 0 NOT NULL,
FSOURCE CHAR(1) DEFAULT ' ' NOT NULL,
FRISKID BIGINT DEFAULT 0 NOT NULL,
FRISKEVENTID BIGINT DEFAULT 0 NOT NULL,
FLOSSAMOUNT DECIMAL(23,10),
FCLOSEEXPLAIN NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FRISKNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRISKEVENTNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKWORK_L')
 CREATE TABLE T_RSA_RISKWORK_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_EVENTHANDLE')
 CREATE TABLE T_RSA_EVENTHANDLE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FPROJECTCONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FEXECUTEDEP BIGINT DEFAULT 0 NOT NULL,
FEXECUTOR BIGINT DEFAULT 0 NOT NULL,
FESTCOMPLETETIME DATETIME,
FPLAN INT,
FINFORMATION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOVERTIME CHAR(1) DEFAULT '0' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_DATATRACEABILITY')
 CREATE TABLE T_RSA_DATATRACEABILITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRISKRISKITEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFASINDEX BIGINT DEFAULT 0 NOT NULL,
FDISPLAYPERIOD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFASVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNIT CHAR(1) DEFAULT ' ' NOT NULL,
FFASRANG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEARLYWARNLEVEL BIGINT DEFAULT 0 NOT NULL,
FINFLUENCE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FOTHERDIMENSION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FOTHERDIMENSION_TAG NCLOB,
FTIMETYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISK')
 CREATE TABLE T_RSA_RISK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FGROUP BIGINT DEFAULT 0 NOT NULL,
FIDENTIFYDATE DATETIME,
FDUTYORG BIGINT DEFAULT 0 NOT NULL,
FDUTYUSER BIGINT DEFAULT 0 NOT NULL,
FRISKDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FISKEYRISK CHAR(1) DEFAULT ' ' NOT NULL,
FISRESIDUE CHAR(1) DEFAULT ' ' NOT NULL,
FRISKSCORE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FRISKLEVEL BIGINT DEFAULT 0 NOT NULL,
FCHECKINDATE DATETIME,
FLOSSAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRISKEVENTNUM BIGINT DEFAULT 0 NOT NULL,
FRISKWORKNUM BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISK_L')
 CREATE TABLE T_RSA_RISK_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKANAENTRY')
 CREATE TABLE T_RSA_RISKANAENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FOCCSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FRESULTSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FSCORE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FOCCDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FLEVELDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVALBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKCALENTRY')
 CREATE TABLE T_RSA_RISKCALENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEXECORG BIGINT DEFAULT 0 NOT NULL,
FEXECUSER BIGINT DEFAULT 0 NOT NULL,
FPLANDATE DATETIME,
FSHEDULE BIGINT,
FSTATEDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPLANCONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FISOVERDUE VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKUSER')
 CREATE TABLE T_RSA_RISKUSER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKANALYSISLOG')
 CREATE TABLE T_RSA_RISKANALYSISLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FRISKID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEVALNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FOCCSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FRESULTSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FSCORE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FOCCDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FLEVELDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKCHECKITEM')
 CREATE TABLE T_RSA_RISKCHECKITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_RISKITEMUSER')
 CREATE TABLE T_RSA_RISKITEMUSER (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_SCANPARAM')
 CREATE TABLE T_RSA_SCANPARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FPERIODTYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FANALYSISPERIOD CHAR(1) DEFAULT ' ' NOT NULL,
FACCOUNTPERIODTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTPERIODOFFSET VARCHAR(2) DEFAULT ' ' NOT NULL,
FSCANOBJECT CHAR(1) DEFAULT ' ' NOT NULL,
FRISKTEXT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRISKIDS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRISKIDS_TAG NCLOB,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_SCANPARAMITEM')
 CREATE TABLE T_RSA_SCANPARAMITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_SCANPARAM_L')
 CREATE TABLE T_RSA_SCANPARAM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_SCANPARAMORG')
 CREATE TABLE T_RSA_SCANPARAMORG (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

/**End D:\work-kingdee\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\RSA_table.sql **/
