/**Begin D:\work-kingdee\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\RSA_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_EVALWITH')
 CREATE TABLE T_RSA_EVALWITH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FPROCESSDATE DATETIME,
FDUTYORG BIGINT DEFAULT 0 NOT NULL,
FEVALUSER BIGINT DEFAULT 0 NOT NULL,
FEVALNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACKUSER BIGINT DEFAULT 0 NOT NULL,
FWEIGHTJSON NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWEIGHTJSON_TAG NCLOB DEFAULT ' ',
FSCORESUMWAY CHAR(1) DEFAULT ' ' NOT NULL,
FOPERATORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_EVALWITHENTRY')
 CREATE TABLE T_RSA_EVALWITHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRISKID BIGINT DEFAULT 0 NOT NULL,
FRISKDESC NVARCHAR(500) DEFAULT ' ' NOT NULL,
FDUTYORG BIGINT DEFAULT 0 NOT NULL,
FOCCSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FOCCDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FSCORE DECIMAL(10,2) DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FLEVELDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RSA_EVALWITHSUBENTRY')
 CREATE TABLE T_RSA_EVALWITHSUBENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVALUSER BIGINT DEFAULT 0 NOT NULL,
FOCCSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FOCCDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTDESC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULTSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FSCORE DECIMAL(10,1) DEFAULT 0 NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FSCORESUMWAYTEXT NVARCHAR(100) DEFAULT ' ' NOT NULL,
FLEVELDESC NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\work-kingdee\PDM_UPGRADE_1.3\PDM_UPGRADE\PDM1\RSA_table.sql **/